Thursday, August 17, 2017

FINRA Systems - Browser Requirements


Beginning September 30, 2017, Web CRD/IARD will only support the following web browsers: 
  • Chrome versions released after 2011 (4 or higher)
  • Firefox versions released after 2011 (4 or higher)
  • Internet Explorer versions released after 2013 (11 or Edge)
  • Safari versions released after 2013 (7 or higher)
These web browser requirements will be implemented with Web CRD/IARD Release 2017.09 as they support more robust encryption and privacy protocols to ensure information is securely transmitted over the internet. You can check your current web browser at https://whatbrowser.org. If it does not meet or exceed the minimum browser requirements listed above, your firm should upgrade your web browser for all end-user computers prior to September 30 in order to maintain continued access to Web CRD/IARD.  

0 comments:

Post a Comment